<?xml version="1.0" encoding="utf-8"?>
<!--
 * Copyright (C) 2014 Huawei Inc.
 * Cpu Freq Config
 *
                TYPE                                            AVALIABLE_VALUE
        cpu_maxprofile                    2000000 1950000 1900000 1850000 1800000 1716000 1633000 1548000 1383000 1258000 1175000 1091000 1008000 925000 841000 774000
        cpu_minprofile                    2000000 1950000 1900000 1850000 1800000 1716000 1633000 1548000 1383000 1258000 1175000 1091000 1008000 925000 841000 774000

        cpu_a15_maxprofile                2000000 1875000 1812000 1750000 1687000 1625000 1541000 1500000 1358000 1181000 1075000 968000 862000 756000 650000 500000
        cpu_a15_minprofile                2000000 1875000 1812000 1750000 1687000 1625000 1541000 1500000 1358000 1181000 1075000 968000 862000 756000 650000 500000

        gpu_maxprofile                    650000 500000 400000
        gpu_minprofile                    650000 500000 400000

        ddr_maxprofile                    415000000 830000000 1245000000 1866000000
        ddr_minprofile                    415000000 830000000 1245000000 1866000000

        cpu_number_max                    1,2,3,4
        cpu_number_min                    1,2,3,4
        cpu_a15_number_max                0,1,2,3,4
        cpu_a15_number_min                0,1,2,3,4

        note:
        1. if policy item has not configured, it means close cpupolicy of previous scene.
        2. policy type default value is 0, policy value default value is -1
-->
<!--
    default scene , id must be lower than 10000
-->
<cpu_policy version="1">
    <!--don't config any policy-->
    <scenemode name="default_front" id="208">
    </scenemode>

    <!--don't config any policy-->
    <scenemode name="screen_off" id="301">
    </scenemode>

    <scenemode name="start_rotation" id="238">
    </scenemode>

    <scenemode name="start_speedup" id="245">
    </scenemode>
    <!--
     cust scene , id must be bigger than 10000
    -->
    <!--
     Benckmark,    don't limit
     ID:10000 for benchmark, don't change
    -->
    <scenemode name=".*?(hw.performance*?).*" id="10000">
    </scenemode>

    <scenemode name="thermal_cpu" id="251">
        <cpu_maxprofile>-1</cpu_maxprofile>
        <gpu_maxprofile>-1</gpu_maxprofile>
    </scenemode>

    <scenemode name="battery_low" id="319">
    </scenemode>

    <scenemode name="battery_okay" id="320">
    </scenemode>

    <scenemode name="battery_critical" id="333">
    </scenemode>

    <scenemode name="battery_critical_okay" id="334">
    </scenemode>

    <scenemode name="gallery_touch" id="234">
    </scenemode>

    <scenemode name="browser_front" id="203">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <!--read eboot, like baidu ebook-->
    <scenemode name="ebook_front" id="205">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="gallery_front" id="206">
    </scenemode>

    <scenemode name="input_start" id="210">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="camera_front" id="221">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="game3d_front" id="204">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="office_front" id="225">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="video_front" id="228">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="game2d_front" id="233">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="mms_front" id="235">
    </scenemode>

    <scenemode name="launcher_touch" id="236">
    </scenemode>

    <scenemode name="video_start" id="246">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <scenemode name="cpu_draw_start" id="265">
    </scenemode>

    <scenemode name="cpu_draw_end" id="266">
    </scenemode>

    <scenemode name="list_fling_start" id="267">
    </scenemode>

    <!-- for popular map-->
    <scenemode name="com.baidu.BaiduMap|com.mapbar.android.mapbarmap|com.autonavi.minimap|com.google.android.apps.maps|cld.navi.mainframe|com.google.android.street|com.sogou.map.android.maps|com.google.earth|cn.com.tiros.android.navidog|com.tencent.map|cn.com.tiros.android.navidog4x|com.j.locationalarm|com.uu.uunavi|com.cjq.wxmap|com.pdager.navi|hw.Guider|com.telenav.app.android.cmcc|menion.android.locus.pro|com.PaPaGOShanghai" id="10001">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <!-- for system browser, if not config, the system browser will use browser_front(id = 203)-->
    <scenemode name="com.android.browser" id="10004">

    </scenemode>

    <!-- for popular game-->
    <scenemode name="org.cocos2dx.FishingJoy2*|com.aemobile.games.aemotor3d|com.webprancer.google.GarfieldsDiner|com.clius.realparking3d|com.disney.chukong.WMW|com.miniclip.pictorial|com.westriversw.CatWar|com.lemon.play.linecolor|com.coop_ox.beanbeanbang|com.sg.android.fish|com.happyelements.happyfish|com.haypi.dragon|org.funship.findsomething.withRK|com.qqgame.hlddz|com.sidheinteractive.sif.DR|com.ea.games.nfs13_na|com.gameloft.android.GAND.GloftAsphalt5.asphalt5|com.westriversw.RWS|com.carrot.carrotfantasy|com.popcap.pvz|com.paradoxplaza.imagicka|com.ckck.turbofly|com.gameloft.android.GAND.GloftSXHP" id="10005">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

    <!-- for weibo/qqmobile/weixin -->
    <scenemode name="com.sina.weibo|com.tencent.mobileqq|com.tencent.mm" id="10010">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>


    <!-- crazy game, A15 binding-->
    <scenemode name="com.disney.troz|com.glu.carszombies|com.joym.xiongdakuaipao|com.kunpo.babaqunaer2|com.chukong.watertwo_chukong|com.tencent.clover|com.tencent.feiji|com.tencent.pao|com.qzone|com.imangi.templerun2|com.gamedo.junglerunner.mm|com.centurysoft.fruityrobo|com.kiloo.subwaysurf|air.com.lingyu.zzxlmobile.anzhi" id="10015">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

     <!-- video fling-->
    <comb_scene name="com.tencent.qqlive|com.qiyi.video|com.youku.phone|com.longzhu.tga|com.douyu.hd.air.douyutv|com.douyu.hd.air.douyutv|air.tv.douyu.android|com.melot.meshow|com.duowan.kiwi|com.duowan.mobile|com.duowan.pad|com.shejiao.yueyue|com.gameabc.zhanqiAndroid|com.huajiao"  id="267" parent_id="0">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </comb_scene>

    <!---for-secial-apk-->
    <scenemode name="com.huawei.appmarket|com.tencent.android.qqdownloader|com.qihoo.appstore|com.hiapk.marketpho|com.baidu.appsearch" id="10005">
        <cpu_maxprofile>1716000</cpu_maxprofile>
        <cpu_a15_maxprofile>1625000</cpu_a15_maxprofile>
    </scenemode>

</cpu_policy>
